QGIS Application - Feature request #773
unified "Load layer"” button
2007-10-01 06:00 AM - pcavallini -

Status: Closed

Priority: High

Assignee: nobody -

Category: GUI

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 10832
Description

Currently the user is confronted with a wide variety of buttons and menus to load a layer. | think the user experience would be better, and
interface less cluttered, if only one "Load layer" button was present, then choosing the type (raster/vector, grass/ogr/postgis ecc.) in a
dialog.

Related issues:
Duplicated by QGIS Application - Feature request # 9451: Create a unified "Ad... Closed 2014-01-29

History

#1 - 2008-07-14 02:29 PM - Tim Sutton

Yes thats my dream too :-) However its not going to happen in 1.x and I'm moving this over to 2.0.0 milestone as achieving this should be part of a larger
architectural overhaul...
Changing priority to minor as it is and enhancement request rather than broken feature.

#2 - 2012-10-06 02:28 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#3 - 2017-05-01 12:42 AM - Giovanni Manghi
- Pull Request or Patch supplied set to No
- Easy fix? set to No

#4 - 2017-05-01 11:01 AM - Regis Haubourg
- Status changed from Open to In Progress

- Priority changed from Low to High

Well cleaning the tracker, this one is fun as work was announced yesterday in Essen, 9 years after the idea :) See [[
https://twitter.com/underdarkGlS/status/858779482945179652]].

Who must be the assignee here?

#5 - 2018-02-24 10:38 PM - Alessandro Sarretta
- File Selection_297.png added

| think that the "Open Data Source Manager" button in the new "Data source manager toolbar" of QGIS 3.0 solves this issue.
Tested with QGIS 3.1.0-Master.

2025-05-17 12



https://twitter.com/underdarkGIS/status/858779482945179652

#6 - 2018-02-25 12:37 AM - Nyall Dawson
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
